Skip to main content
GET
/
action-items
/
{id}
Fetch an action item
curl --request GET \
  --url https://sitevisit.app/api/v1/action-items/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "siteVisitId": "<string>",
  "propertyId": "<string>",
  "propertyName": "<string>",
  "title": "<string>",
  "evidenceImageUrls": [
    "<string>"
  ],
  "order": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "category": "<string>",
  "location": "<string>",
  "assignee": "<string>",
  "timestampSec": 123,
  "transcriptQuote": "<string>",
  "completedAt": "2023-11-07T05:31:56Z",
  "completedBy": "<string>",
  "completionNote": "<string>",
  "completionPhotoUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

The requested resource.

id
string
required
siteVisitId
string
required
propertyId
string
required
propertyName
string
required
title
string
required
priority
enum<string>
required
Available options:
LOW,
MEDIUM,
HIGH
status
enum<string>
required
Available options:
OPEN,
IN_PROGRESS,
DONE
evidenceImageUrls
string[]
required
order
integer
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string | null
category
string | null
location
string | null
assignee
string | null
timestampSec
number | null
transcriptQuote
string | null
completedAt
string<date-time> | null
completedBy
string | null
completionNote
string | null
completionPhotoUrl
string | null